## power bdd-1.0.0

=== requirements.txt ===
sortedcontainers >= 2.0

## power 1.1~git20121207+dfsg

=== debian/changelog ===
power (1.1~git20121207+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #699010)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 03 Feb 2013 03:50:16 +0900

=== debian/control ===
Source: power
Section: python
Priority: optional
Maintainer: Changwoo Ryu <cwryu@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               python-all (>= 2.6.6-3~),
               python-setuptools,
Standards-Version: 3.9.4
Homepage: https://github.com/GreatFruitOmsk/Power
Vcs-Git: git://git.debian.org/git/users/cwryu/power.git
Vcs-Browser: http://git.debian.org/?p=users/cwryu/power.git;a=summary
X-Python-Version: >= 2.6

Package: python-power
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
Provides: ${python:Provides}
Description: Python module to get get power and battery status
 This is Python module that allows you to get power and battery status
 of the system.
 .
 Using this module, Python programs which read power status can
 be written in platform independent way.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@  --with python2

=== debian/watch ===
# The upstream does not tag properly :(
#version=3
#https://github.com/GreatFruitOmsk/Power .*/(\d.*)\.tar\.gz

## power 1.2+git20130312+dfsg

=== debian/changelog ===
power (1.2+git20130312+dfsg-1) unstable; urgency=low

  * New upstream version
  * Now team maintained
  * Correct the upstream github at https://github.com/Kentzo/Power
  * Standards-Version: 3.9.5

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 23 Feb 2014 06:05:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: power
 Section: python
 Priority: optional
-Maintainer: Changwoo Ryu <cwryu@debian.org>
+Maintainer: 3-D printer team <3dprinter-general@lists.alioth.debian.org>
+Uploaders: Changwoo Ryu <cwryu@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                python-all (>= 2.6.6-3~),
                python-setuptools,
-Standards-Version: 3.9.4
-Homepage: https://github.com/GreatFruitOmsk/Power
-Vcs-Git: git://git.debian.org/git/users/cwryu/power.git
-Vcs-Browser: http://git.debian.org/?p=users/cwryu/power.git;a=summary
+Standards-Version: 3.9.5
+Homepage: https://github.com/Kentzo/Power
+Vcs-Git: git://anonscm.debian.org/3dprinter/packages/power.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=3dprinter/packages/power.git;a=summary
 X-Python-Version: >= 2.6
 
 Package: python-power

=== debian/watch ===
# The upstream does not tag properly :(
#version=3
#https://github.com/Kentzo/Power .*/(\d.*)\.tar\.gz

## power 1.3+dfsg

=== debian/changelog ===
power (1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add a working debian/watch
  * Python3 support

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 30 Sep 2014 08:47:42 +0900

=== debian/control ===
Source: power
Section: python
Priority: optional
Maintainer: 3-D printer team <3dprinter-general@lists.alioth.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-python (>> 1.20130913),
               python-all (>= 2.6.6-3~),
               python3-all (>= 3.2~),
               python-setuptools,
               python3-setuptools,
Standards-Version: 3.9.5
Homepage: https://github.com/Kentzo/Power
Vcs-Git: git://anonscm.debian.org/3dprinter/packages/power.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=3dprinter/packages/power.git;a=summary
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-power
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
Provides: ${python:Provides}
Description: Python module to get get power and battery status (Python 2)
 This is Python module that allows you to get power and battery status
 of the system.
 .
 Using this module, Python programs which read power status can
 be written in platform independent way.
 .
 This module is built for Python version 2.x.

Package: python3-power
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
Provides: ${python3:Provides}
Description: Python module to get get power and battery status (Python 3)
 This is Python module that allows you to get power and battery status
 of the system.
 .
 Using this module, Python programs which read power status can
 be written in platform independent way.
 .
 This module is built for Python version 3.x.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@  --with python2,python3

override_dh_auto_build:
	# python2.x is expected to done in the auto build...
	for PYTHON in $(PY3VERS); do \
	  $$PYTHON setup.py build; \
	done
	dh_auto_build

override_dh_auto_install:
	# python2.x is expected to done in the auto install...
	for PYTHON in $(PY3VERS); do \
	  $$PYTHON setup.py install --skip-build --root debian/tmp \
	      --install-layout deb; \
	done
	dh_auto_install

## power 1.4%2Bdfsg

=== debian/control ===
Source: power
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/Kentzo/Power
Vcs-Git: https://salsa.debian.org/python-team/modules/power.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/power

Package: python3-power
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
Provides: ${python3:Provides}
Description: Python module to get power and battery status (Python 3)
 This is Python module that allows you to get power and battery status
 of the system.
 .
 Using this module, Python programs which read power status can
 be written in platform independent way.

## power 1.4+dfsg

=== debian/changelog ===
power (1.4+dfsg-2) unstable; urgency=medium

  * QA upload.

  [ Changwoo Ryu ]
  * New upstream version
  * debian/control: Correct Vcs-* fields
  * Use pybuild
  * debian/control: Fix spelling in the description

  [ Petter Reinholdtsen ]
  * Updated Standards-Version to 4.1.1.
  * Changed maintainer to Debian QA Group and moved git repo to
    collab-maint, as this package is no longer needed by the cura 3D
    printer software.  see bug number #854887 for more information.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 04 Oct 2017 06:44:50 +0000

=== debian/control ===
Source: power
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-python (>> 1.20130913),
               python-all (>= 2.6.6-3~),
               python3-all (>= 3.2~),
               python-setuptools,
               python3-setuptools,
Standards-Version: 4.1.1
Homepage: https://github.com/Kentzo/Power
Vcs-Git: https://anonscm.debian.org/git/collab-maint/power.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/power.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-power
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
Provides: ${python:Provides}
Description: Python module to get power and battery status (Python 2)
 This is Python module that allows you to get power and battery status
 of the system.
 .
 Using this module, Python programs which read power status can
 be written in platform independent way.
 .
 This module is built for Python version 2.x.

Package: python3-power
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
Provides: ${python3:Provides}
Description: Python module to get power and battery status (Python 3)
 This is Python module that allows you to get power and battery status
 of the system.
 .
 Using this module, Python programs which read power status can
 be written in platform independent way.
 .
 This module is built for Python version 3.x.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=power

%:
	dh $@ --buildsystem=pybuild --with python2,python3

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
 https://github.com/Kentzo/Power/tags .*/v?(\d.*)\.tar\.gz

## power cogs-0.4.5

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help coverage
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"
PACKAGE_NAME = "power_cogs"


help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr coverage/
	rm -fr .pytest_cache

lint: ## check style with flake8
	isort --profile black $(PACKAGE_NAME) tests
	black $(PACKAGE_NAME) tests
	flake8 $(PACKAGE_NAME) tests

test-no-html: ## run tests quickly with the default Python
	pytest tests/

test:
	pytest --html=html/report.html tests/
	$(BROWSER) html/report.html

test-all: ## run tests on every Python version with tox
	tox

coverage:	## code coverage xml
	pytest --cov-report term --cov=$(PACKAGE_NAME)/
	pytest --cov-report xml:coverage/coverage.xml --cov=$(PACKAGE_NAME)/

coverage-html:	## code coverage html
	pytest --cov-report term --cov=$(PACKAGE_NAME)/
	pytest --cov-report html:coverage/html --cov=$(PACKAGE_NAME)/
	$(BROWSER) coverage/html/index.html


docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/$(PACKAGE_NAME).rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ $(PACKAGE_NAME)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean lint ## install the package to the active Python's site-packages
	python setup.py install

commit: lint install test docs
	git add .
	git commit -a

push:
	make lint
	git add .
	git commit
	git push origin HEAD

unsafe-push:
	git add .
	git commit
	git push origin HEAD

=== requirements.txt ===
ansible-core
ansible
ray
mlflow

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = power_cogs
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
